package com.persagy.dmp.report.entity;

import com.persagy.dmp.report.enumeration.DateType;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

@Setter
@Getter
@Entity
@Table(name = "report_alarm_record")
public class ReportAlarmRecord extends BaseEntity {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    private String itemCode;
    private String projectId;
    private String groupCode;
    private String category;
    private String classCode;
    private String level;
    private String alarmState;
    private String year;
    private String month;
    private String day;
    private String hour;
    private String season;
    private String week;
    private String createTime;
    private Long alarmRecordNum;
    private Long alarmRecordNum2;
    @Enumerated(value = EnumType.STRING)
    private DateType dateType;

    public ReportAlarmRecord() {

    }

    public ReportAlarmRecord(ReportAlarmRecord record) {
        this.setId(record.getId());
        this.setItemCode(record.getItemCode());
        this.setProjectId(record.getProjectId());
        this.setGroupCode(record.getGroupCode());
        this.setCategory(record.getCategory());
        this.setClassCode(record.getClassCode());
        this.setLevel(record.getLevel());
        this.setAlarmState(record.getAlarmState());
        this.setYear(record.getYear());
        this.setMonth(record.getMonth());
        this.setDay(record.getDay());
        this.setHour(record.getHour());
        this.setSeason(record.getSeason());
        this.setWeek(record.getWeek());
        this.setCreateTime(record.getCreateTime());
        this.setAlarmRecordNum(record.getAlarmRecordNum());
        this.setAlarmRecordNum2(record.getAlarmRecordNum2());
        this.setDateType(record.getDateType());
    }
}
