package com.persagy.dmp.report.feign;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.report.model.AlarmRecordModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author: fengyanjie
 * @date: 2020-11-25
 * @verison: 1.0
 */
@FeignClient(name = "dmp-alarm")
public interface AlarmClient {

    @PostMapping("/alarm/record/query")
    PagedResponse<AlarmRecordModel> query(@RequestParam(name = "projectId") String projectId,
                                          @RequestParam(name = "groupCode") String groupCode,
                                          @RequestParam(name = "userId") String userId,
                                          @RequestBody JacksonCriteria criteria);
}
